(defun window-point-insertion-type-test (&optional make-local)
  (let ((buffer (generate-new-buffer "window-point-insertion-type-test")) win timer)
    (with-current-buffer buffer
      (set (if make-local
	       (make-local-variable 'window-point-insertion-type)
	     'window-point-insertion-type)
	   t))
    (split-window-below)
    (sit-for .1)
    (setq win (cadr (window-list nil nil (selected-window))))
    (set-window-buffer win buffer)
    (setq timer
	  (run-with-idle-timer .1 .1
			       (lambda (b w)
				 (with-current-buffer b
				   (insert (format "%s\n" (current-time-string)))
				   (set-window-point w (point-max))))
			       buffer win))
    (unwind-protect (read-string "Just a recursive edit, enter a short string, then hit RET: ")
      (cancel-timer timer))))


